import { Construct, ISynthesisSession } from 'constructs';
/**
 * Represents a cdkaction stack.
 */
export declare class Stack extends Construct {
    /**
     * A unique identifier for the stack. Will be printed in synthesized manifests.
     */
    private readonly id;
    /**
     * Defines a cdkaction stack.
     *
     * @param scope cdkaction app.
     * @param id A unique identifier for this stack.
     */
    constructor(scope: Construct, id: string);
    /**
     * A custom `onSynthesize` function to generate GH Action manifests.
     *
     * @param session Synthesis session.
     */
    protected onSynthesize(session: ISynthesisSession): void;
}
